package com.os.ems.record.mapper;

import java.util.List;
import com.os.ems.record.domain.EmsVibrationInstant;

/**
 * 震动实时数据Mapper接口
 * 
 * @author ZangCH
 * @date 2024-08-22
 */
public interface EmsVibrationInstantMapper 
{
    /**
     * 查询震动实时数据
     * 
     * @param objId 震动实时数据主键
     * @return 震动实时数据
     */
    public EmsVibrationInstant selectEmsVibrationInstantByObjId(Long objId);

    /**
     * 查询震动实时数据列表
     * 
     * @param emsVibrationInstant 震动实时数据
     * @return 震动实时数据集合
     */
    public List<EmsVibrationInstant> selectEmsVibrationInstantList(EmsVibrationInstant emsVibrationInstant);

    /**
     * 新增震动实时数据
     * 
     * @param emsVibrationInstant 震动实时数据
     * @return 结果
     */
    public int insertEmsVibrationInstant(EmsVibrationInstant emsVibrationInstant);

    /**
     * 修改震动实时数据
     * 
     * @param emsVibrationInstant 震动实时数据
     * @return 结果
     */
    public int updateEmsVibrationInstant(EmsVibrationInstant emsVibrationInstant);

    /**
     * 删除震动实时数据
     * 
     * @param objId 震动实时数据主键
     * @return 结果
     */
    public int deleteEmsVibrationInstantByObjId(Long objId);

    /**
     * 批量删除震动实时数据
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsVibrationInstantByObjIds(Long[] objIds);

    /**mapper.java
     * 查询震动实时数据
     * @param emsVibrationInstant
     * @return
     */
    List<EmsVibrationInstant> selectVibrationInstantList(EmsVibrationInstant emsVibrationInstant);

}
