package com.os.ems.record.service;

import java.util.List;

import com.os.ems.record.domain.EmsRecordSteamInstant;

/**
 * 蒸汽历史数据Service接口
 *
 * @author Yinq
 * @date 2024-05-22
 */
public interface IEmsRecordSteamInstantService {
    /**
     * 查询蒸汽历史数据
     *
     * @param objId 蒸汽历史数据主键
     * @return 蒸汽历史数据
     */
    public EmsRecordSteamInstant selectEmsRecordSteamInstantByObjId(Long objId);

    /**
     * 查询蒸汽历史数据列表
     *
     * @param emsRecordSteamInstant 蒸汽历史数据
     * @return 蒸汽历史数据集合
     */
    public List<EmsRecordSteamInstant> selectEmsRecordSteamInstantList(EmsRecordSteamInstant emsRecordSteamInstant);

    /**
     * 新增蒸汽历史数据
     *
     * @param emsRecordSteamInstant 蒸汽历史数据
     * @return 结果
     */
    public int insertEmsRecordSteamInstant(EmsRecordSteamInstant emsRecordSteamInstant);

    /**
     * 修改蒸汽历史数据
     *
     * @param emsRecordSteamInstant 蒸汽历史数据
     * @return 结果
     */
    public int updateEmsRecordSteamInstant(EmsRecordSteamInstant emsRecordSteamInstant);

    /**
     * 批量删除蒸汽历史数据
     *
     * @param objIds 需要删除的蒸汽历史数据主键集合
     * @return 结果
     */
    public int deleteEmsRecordSteamInstantByObjIds(Long[] objIds);

    /**
     * 删除蒸汽历史数据信息
     *
     * @param objId 蒸汽历史数据主键
     * @return 结果
     */
    public int deleteEmsRecordSteamInstantByObjId(Long objId);

    /**
     * 查询蒸汽实时最后一条数据列表
     *
     * @param emsRecordSteamInstant 蒸汽历史数据
     * @return 蒸汽实时数据
     */
    public List<EmsRecordSteamInstant> selectEmsRecordLatestSteamInstantList(EmsRecordSteamInstant emsRecordSteamInstant);
}
