package com.os.mes.base.service;

import java.util.List;

import com.os.mes.base.domain.BaseTeamMembers;

/**
 * 班组信息Service接口
 *
 * @author Yinq
 * @date 2024-05-15
 */
public interface IBaseTeamMembersService {
    /**
     * 查询班组信息
     *
     * @param objId 班组信息主键
     * @return 班组信息
     */
    public BaseTeamMembers selectBaseTeamMembersByObjId(Long objId);

    /**
     * 查询班组信息列表
     *
     * @param baseTeamMembers 班组信息
     * @return 班组信息集合
     */
    public List<BaseTeamMembers> selectBaseTeamMembersList(BaseTeamMembers baseTeamMembers);

    /**
     * 新增班组信息
     *
     * @param baseTeamMembers 班组信息
     * @return 结果
     */
    public int insertBaseTeamMembers(BaseTeamMembers baseTeamMembers);

    /**
     * 修改班组信息
     *
     * @param baseTeamMembers 班组信息
     * @return 结果
     */
    public int updateBaseTeamMembers(BaseTeamMembers baseTeamMembers);

    /**
     * 批量删除班组信息
     *
     * @param objIds 需要删除的班组信息主键集合
     * @return 结果
     */
    public int deleteBaseTeamMembersByObjIds(Long[] objIds);

    /**
     * 删除班组信息信息
     *
     * @param objId 班组信息主键
     * @return 结果
     */
    public int deleteBaseTeamMembersByObjId(Long objId);
}
