package com.os.mes.prod.mapper;

import java.util.List;

import com.os.mes.prod.domain.ProdOrderInfo;

/**
 * 订单信息Mapper接口
 *
 * @author Yinq
 * @date 2024-05-17
 */
public interface ProdOrderInfoMapper {
    /**
     * 查询订单信息
     *
     * @param objId 订单信息主键
     * @return 订单信息
     */
    public ProdOrderInfo selectProdOrderInfoByObjId(Long objId);

    /**
     * 查询订单信息列表
     *
     * @param prodOrderInfo 订单信息
     * @return 订单信息集合
     */
    public List<ProdOrderInfo> selectProdOrderInfoList(ProdOrderInfo prodOrderInfo);

    /**
     * 新增订单信息
     *
     * @param prodOrderInfo 订单信息
     * @return 结果
     */
    public int insertProdOrderInfo(ProdOrderInfo prodOrderInfo);

    /**
     * 修改订单信息
     *
     * @param prodOrderInfo 订单信息
     * @return 结果
     */
    public int updateProdOrderInfo(ProdOrderInfo prodOrderInfo);

    /**
     * 删除订单信息
     *
     * @param objId 订单信息主键
     * @return 结果
     */
    public int deleteProdOrderInfoByObjId(Long objId);

    /**
     * 批量删除订单信息
     *
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProdOrderInfoByObjIds(Long[] objIds);
}
