package com.os.quartz.task;


import com.os.ems.record.service.IEmsRecordAlarmDataService;
import com.os.mes.api.domain.ERPParamDto;
import com.os.mes.api.service.IERPPortService;
import com.os.mes.api.utils.ERPConstants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;


/**
 * @Author YinQ
 * @create 2023-10-08 9:11
 */
@Component("EMSTask")
public class EMSTask {

    @Autowired
    private IEmsRecordAlarmDataService emsRecordAlarmDataService;

    /**
     * 采集设备告警定时任务
     */
    public void collectDeviceAlarmsTask() {
        emsRecordAlarmDataService.collectDeviceAlarmsTask();
    }

    /**
     * 超过电阈值定时任务
     */
    public void exceedDnbThresholdAlarmsTask() {
        emsRecordAlarmDataService.exceedDnbThresholdAlarmsTask();
    }

    /**
     * 小时耗量告警定时任务
     */
    public void hourlyConsumptionAlarmsTask() {
        emsRecordAlarmDataService.hourlyConsumptionAlarmsTask();
    }

}
